--
-- $Id$
--
-- Rapportages tbv usertelling Ton van Laarschot

DEFINE thisfile = 'YKPN#52456.sql'
DEFINE dbuser   = '^YKPN'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

BEGIN
    fac.initsession ('NL');
END;
/

-- Lijst met personen die dagelijks geimporteerd worden
SELECT prs_afdeling_omschrijving,
       prs_perslid_oslogin,
       prs_perslid_naam,
       prs_perslid_tussenvoegsel,
       prs_perslid_voornaam,
       prs_perslid_email,
       prs_srtperslid_omschrijving
  FROM ykpn_imp_organisatie o, fac_imp_perslid p
 WHERE o.prs_afdeling_naam = p.prs_afdeling_naam;

-- Lijst met personen die ooit ingelogd hebben.
SELECT prs_afdeling_omschrijving,
       prs_perslid_oslogin,
       prs_perslid_naam,
       prs_perslid_tussenvoegsel,
       prs_perslid_voornaam,
       prs_perslid_email,
       prs_srtperslid_omschrijving
  FROM prs_afdeling o, prs_perslid p, prs_srtperslid sp
 WHERE     o.prs_afdeling_key = p.prs_afdeling_key
       AND sp.prs_srtperslid_key = p.prs_srtperslid_key
       AND prs_perslid_login IS NOT NULL;


------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
